net.minecraftforge.common

## Class ForgeDummyContainer

- java.lang.Object
- - cpw.mods.fml.common.DummyModContainer
  - - net.minecraftforge.common.ForgeDummyContainer

- All Implemented Interfaces:
    ModContainer, WorldAccessContainer

      public class ForgeDummyContainer
      extends DummyModContainer
      implements WorldAccessContainer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `clumpingThreshold`
    `static boolean` | `disableStitchedFileSaving`
    `static boolean` | `legacyFurnaceSides`
    `static boolean` | `removeErroringEntities`
    `static boolean` | `removeErroringTileEntities`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForgeDummyContainer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NBTTagCompound` | `getDataForWriting(SaveHandler handler, WorldInfo info)`
    `void` | `postInit(FMLPostInitializationEvent evt)`
    `void` | `preInit(FMLPreInitializationEvent evt)`
    `void` | `readData(SaveHandler handler, WorldInfo info, Map<String,NBTBase> propertyMap, NBTTagCompound tag)`
    `boolean` | `registerBus(com.google.common.eventbus.EventBus bus, LoadController controller)` Register the event bus for the mod and the controller for error handling Returns if this bus was successfully registered - disabled mods and other mods that don't need real events should return false and avoid further processing

    - ### Methods inherited from class cpw.mods.fml.common.DummyModContainer

      `acceptableMinecraftVersionRange, bindMetadata, getDependants, getDependencies, getDisplayVersion, getMetadata, getMod, getModId, getName, getProcessedVersion, getRequirements, getSigningCertificate, getSortingRules, getSource, getVersion, isImmutable, isNetworkMod, matches, setEnabledState`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clumpingThreshold

          public static int clumpingThreshold

    - #### legacyFurnaceSides

          public static boolean legacyFurnaceSides

    - #### removeErroringEntities

          public static boolean removeErroringEntities

    - #### removeErroringTileEntities

          public static boolean removeErroringTileEntities

    - #### disableStitchedFileSaving

          public static boolean disableStitchedFileSaving

  - ### Constructor Detail

    - #### ForgeDummyContainer

          public ForgeDummyContainer()

  - ### Method Detail

    - #### registerBus

          public boolean registerBus(com.google.common.eventbus.EventBus bus,
                            LoadController controller)

      Description copied from interface: `ModContainer`
      Register the event bus for the mod and the controller for error handling Returns if this bus was successfully registered - disabled mods and other mods that don't need real events should return false and avoid further processing
      Specified by:
        `registerBus` in interface `ModContainer`
      Overrides:
        `registerBus` in class `DummyModContainer`

    - #### preInit

          public void preInit(FMLPreInitializationEvent evt)

    - #### postInit

          public void postInit(FMLPostInitializationEvent evt)

    - #### getDataForWriting

          public NBTTagCompound getDataForWriting(SaveHandler handler,
                                         WorldInfo info)

      Specified by:
        `getDataForWriting` in interface `WorldAccessContainer`

    - #### readData

          public void readData(SaveHandler handler,
                      WorldInfo info,
                      Map<String,NBTBase> propertyMap,
                      NBTTagCompound tag)

      Specified by:
        `readData` in interface `WorldAccessContainer`